/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    reportToCoveralls = require('../../../../ci/worker/report_to_coveralls.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Report to coveralls.'] = function (test) {
    var filename = testResource.resolveMockFile('mock_instrument_nodeunit_test.js');
    var _coverallsBin = reportToCoveralls._coverallsBin;
    reportToCoveralls._coverallsBin = testResource.resolveMockFile('mock_coveralls.js');
    reportToCoveralls({
        files: filename

    }, function (err) {
        test.ifError(err);
        reportToCoveralls._coverallsBin = _coverallsBin;
        test.done();
    });
};